/*
 * Copyright (c) 2007-2010 Sonatype, Inc.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 */
package org.sonatype.sisu.assembler.gshell.internal;

import java.util.List;

import org.sonatype.gshell.command.Command;
import org.sonatype.p2.bridge.IUIdentity;
import org.sonatype.p2.bridge.MetadataRepository;
import org.sonatype.p2.bridge.P2ProfileRegistry;

import com.google.inject.Inject;

@Command( name = "shell/list/updates" )
public class ListUpdatesCommandOnSelf
    extends ListUpdatesCommand
{
    @Inject
    public ListUpdatesCommandOnSelf( final LockedFileSystemAccess fileSystem,
                                       final P2ProfileRegistry p2ProfileRegistry,
                                       final MetadataRepository metadataRepository,
                                       final LockedRepositoryRegistry repositoryRegistry,
                                       @ListInstallableCommand.Latest final List<IUIdentity> latest )
    {
        super( fileSystem, p2ProfileRegistry, metadataRepository, repositoryRegistry, latest );
    }

}
