/*
 * Copyright (c) 2007-2010 Sonatype, Inc.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 */
package org.sonatype.sisu.assembler.gshell.internal;

import static org.fusesource.jansi.Ansi.ansi;
import static org.fusesource.jansi.Ansi.Attribute.INTENSITY_BOLD;
import static org.fusesource.jansi.Ansi.Color.BLUE;

import org.fusesource.jansi.AnsiString;
import org.sonatype.gshell.command.IO;

class PrintUtils
{

    static void printNumbered( final IO io, final int position, final int size, final CharSequence value )
    {
        io.println( numbered( position, size, value ) );
    }

    static void printHeader( final IO io, final CharSequence header )
    {
        io.println( "" );
        io.println( header );
        io.println( "" );
    }

    static CharSequence numbered( final int position, final int size, final CharSequence value )
    {
        final String format = "[%" + String.valueOf( size ).length() + "d]";
        final String output =
            ansi().a( INTENSITY_BOLD ).a( String.format( format, position ) ).reset().a( " " ).a( value ).reset().toString();
        return new AnsiString( output );
    }

    static CharSequence directory( final CharSequence value )
    {
        final String output = ansi().fg( BLUE ).a( value ).reset().toString();
        return new AnsiString( output );
    }

}
