/*
 * Copyright (c) 2007-2010 Sonatype, Inc.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 */
package org.sonatype.sisu.assembler.gshell.internal;

import java.util.List;

import org.sonatype.gshell.command.Command;
import org.sonatype.p2.bridge.P2Director;
import org.sonatype.p2.bridge.P2ProfileRegistry;
import org.sonatype.p2.bridge.ProfileTimestamp;

import com.google.inject.Inject;

@Command( name = "shell/rollback" )
public class RollbackCommandOnSelf
    extends RollbackCommand
{

    @Inject
    public RollbackCommandOnSelf( final LockedFileSystemAccess fileSystem, final P2ProfileRegistry p2ProfileRegistry,
                                  final P2Director p2Director, final LockedRepositoryRegistry repositoryRegistry,
                                  @ListHistoryCommand.Latest final List<ProfileTimestamp> latestListed )
    {
        super( fileSystem, p2ProfileRegistry, p2Director, repositoryRegistry, latestListed );
    }

}
